apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: management-app-deployment
  labels:
    env: production
spec:
  selector:
    matchLabels:
      app: management-app
  template:
    metadata:
      labels:
        app: management-app
    spec:
      containers:
      - name: management-app
        image: avengerist/management-app:<COMMIT_HASH>
        imagePullPolicy: Always
        ports:
        - containerPort: 3000
        env:
        - name: MANAGEMENT_PORT
          value: "3000"
        - name: POSTGRES_HOST
          value: db-svc
        - name: POSTGRES_PORT
          value: "5432"
        - name: POSTGRES_DATABASE
          valueFrom:
            secretKeyRef:
              name: db-secret
              key: POSTGRES_DATABASE
        - name: POSTGRES_USER
          valueFrom:
            secretKeyRef:
              name: db-secret
              key: POSTGRES_USER
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              name: db-secret
              key: POSTGRES_PASSWORD
        - name: RABBITMQ_IP
          value: rabbitmq-svc
---
apiVersion: v1
kind: Service
metadata:
  name: management-svc
spec:
  selector:
    app: management-app
  ports:
  - protocol: TCP
    port: 3000
    targetPort: 3000
